curl --request POST \
--url https://api.siftstack.com/api/v2/runs:adhoc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"assetIds": [
"<string>"
],
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"clientKey": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v2/runs:adhoc"
payload = {
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"assetIds": ["<string>"],
"tags": ["<string>"],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"clientKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/runs:adhoc"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"stopTime\": \"2023-11-07T05:31:56Z\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n }\n ],\n \"clientKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}CreateAdhocRun
Create an adhoc run.
curl --request POST \
--url https://api.siftstack.com/api/v2/runs:adhoc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"assetIds": [
"<string>"
],
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"clientKey": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v2/runs:adhoc"
payload = {
"name": "<string>",
"description": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"assetIds": ["<string>"],
"tags": ["<string>"],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"clientKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/runs:adhoc"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"stopTime\": \"2023-11-07T05:31:56Z\",\n \"assetIds\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\"\n }\n ],\n \"clientKey\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"run": {
"runId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"isPinned": true,
"name": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
],
"assetIds": [
"<string>"
],
"isAdhoc": true,
"startTime": "2023-11-07T05:31:56Z",
"stopTime": "2023-11-07T05:31:56Z",
"defaultReportId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The request for a call to RunService_CreateAdhocRun to create an adhoc run.
The request for a call to RunService_CreateAdhocRun to create an adhoc run.
The name that will be assigned to the new run.
A description about the new run.
The time at which data ingestion concluded for this new run.
A list of asset IDs to associate with the new run.
Tags to associate with the new run.
The metadata values associated with this run.
Show child attributes
Show child attributes
An arbitrary user-chosen key that uniquely identifies this run. Optional, though it is recommended to provide.
Response
A successful response.
The response of a call to RunService_CreateAdhocRun containing the newly created adhoc run.
Show child attributes
Show child attributes
Was this page helpful?